PACMAN-DB-UPGRADE(8)

NAME
pacman-db-upgrade - upgrade the local pacman database to a newer format

SYNOPSIS

pacman-db-upgrade [options]

DESCRIPTION

pacman-db-upgrade is a script that upgrades the local database used by pacman(8) to a newer format.

Options

    *-h, \--help*::
    Show the built-in help message and exit.
    *-V, \--version*::
    Show version information and exit.
    *-d, \--dbpath* <path>::
    Set an alternate database location.
    *-r, \--root* <path>::
    Set an alternate installation root.
    *\--config* <path>::
    Set an alternate configuration file.
    *\--nocolor*::
    Remove color from output.

    See Also

pacman(8)

See the pacman website at https://archlinux.org/pacman/ for current information on pacman and its related tools.

BUGS

Bugs? You must be kidding; there are no bugs in this software. But if we happen to be wrong, please report them to the issue tracker at https://gitlab.archlinux.org/pacman/pacman/-/issues with specific information such as your command-line, the nature of the bug, and even the package database if it helps.

AUTHORS

Current maintainers:

    • Allan McRae <allan@archlinux.org>

    • Andrew Gregory <andrew.gregory.8@gmail.com>

    • Morgan Adamiec <morganamilo@archlinux.org>

Past major contributors:

    • Judd Vinet <jvinet@zeroflux.org>

    • Aurelien Foret <aurelien@archlinux.org>

    • Aaron Griffin <aaron@archlinux.org>

    • Dan McGee <dan@archlinux.org>

    • Xavier Chantry <shiningxc@gmail.com>

    • Nagy Gabor <ngaba@bibl.u-szeged.hu>

    • Dave Reisner <dreisner@archlinux.org>

    • Eli Schwartz <eschwartz@archlinux.org>

For additional contributors, use git shortlog -s on the pacman.git repository.